summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/markdown2/markdown2-2.2.3.ebuild')
-rw-r--r--dev-python/markdown2/markdown2-2.2.3.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-python/markdown2/markdown2-2.2.3.ebuild b/dev-python/markdown2/markdown2-2.2.3.ebuild
new file mode 100644
index 00000000000..3c98cc58cee
--- /dev/null
+++ b/dev-python/markdown2/markdown2-2.2.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Markdown language reimplementation"
+SRC_URI="mirror://pypi/m/markdown2/${P}.zip"
+HOMEPAGE="http://github.com/trentm/python-markdown2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="dev-python/pygments[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+python_prepare_all() {
+ rm -f test/tm-cases/issue52* || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ cd test || die
+ "${PYTHON}" test.py || die "Tests fail with ${EPYTHON}"
+}